## org.gnu.gdk
Class WMFunction

    java.lang.Object
      org.gnu.glib.Flags
          org.gnu.gdk.WMFunction

public class WMFunction
extends Flags

Field Summary
`static WMFunction` `ALL`
`static WMFunction` `CLOSE`
`static WMFunction` `MAXIMIZE`
`static WMFunction` `MINIMIZE`
`static WMFunction` `MOVE`
`static WMFunction` `RESIZE`

Fields inherited from class org.gnu.glib.Flags
`value_`

Method Summary
`WMFunction` `and(WMFunction other)`
`static WMFunction` `intern(int value)`
`WMFunction` `or(WMFunction other)`
`boolean` `test(WMFunction other)`
`WMFunction` `xor(WMFunction other)`

Methods inherited from class org.gnu.glib.Flags
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ALL

    public static final WMFunction ALL

### RESIZE

    public static final WMFunction RESIZE

### MOVE

    public static final WMFunction MOVE

### MINIMIZE

    public static final WMFunction MINIMIZE

### MAXIMIZE

    public static final WMFunction MAXIMIZE

### CLOSE

    public static final WMFunction CLOSE

Method Detail

### intern

    public static WMFunction intern(int value)

### or

    public WMFunction or(WMFunction other)

### and

    public WMFunction and(WMFunction other)

### xor

    public WMFunction xor(WMFunction other)

### test

    public boolean test(WMFunction other)